Imagick::setResolution
Imagick::setSamplingFactors
Imagick
PHP Manual

# Imagick::setResourceLimit

Sets the limit for a particular resource in megabytes

### Description

bool Imagick::setResourceLimit ( int `$type` , int `$limit` )

This method is used to modify the resource limits of the underlying ImageMagick library.

### Parameters

`type`

  Refer to the list of resourcetype constants.

`limit`

  The resource limit. The unit depends on the type of the resource being limited.

### Return Values

Returns `TRUE` on success.